Modify a project
PATCH /project/{id|slug}
Authorizations
Parameters
Path Parameters
[ "AABBCCDD", "my_project"]The ID or slug of the project
Request Body
Modified project fields
object
The slug of a project, used for vanity URLs. Regex: ^[\w!@$()`.+,"\-']{3,64}$
my_projectThe title or name of the project
A short sentence summarizing the project, no more than a sentence or two.
A long form description of the project
A long body describing my project in detailA list of the featured categories that the project has.
[ "technology", "adventure", "fabric"]A list of additional categories that the project also has. These are supplementary to the featured categories, and does not include them again.
[ "technology", "adventure", "fabric"]The status of the project
approvedThe requested status when submitting for review or scheduling the project for release. Approved status refers to “Public” visibility.
An optional link to where to submit bugs or issues with the project
https://github.com/modrinth/code/issuesAn optional link to the source code of the project
https://github.com/modrinth/codeAn optional link to the project’s wiki page or other relevant information
https://github.com/modrinth/code/wikiAn optional invite link to the project’s discord.
https://discord.gg/modrinthA list of donation links for the project
object
The ID of the donation platform
patreonThe donation platform this link is to
PatreonThe URL of the donation platform and user
https://www.patreon.com/my_userDeprecated - use environment instead.
requiredDeprecated - use environment instead.
optionalThe SPDX license ID of a project
LGPL-3.0-or-laterThe URL to this license
The title of the moderators’ message for the project
The body of the moderators’ message for the project
Responses
204
Expected response to a valid request
401
Incorrect token scopes or no authorization to access the requested item(s)
object
The name of the error
unauthorizedThe contents of the error
Authentication Error: Invalid Authentication Credentials404
The requested item(s) were not found or no authorization to access the requested item(s)